package com.goldenwater.slaj.hazard.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hazard.mapper.BisOccuDiseHazRecMapper;
import com.goldenwater.slaj.hazard.domain.BisOccuDiseHazRec;
import com.goldenwater.slaj.hazard.service.IBisOccuDiseHazRecService;

/**
 * 职业病危害记录 服务层实现
 */
@Service
public class BisOccuDiseHazRecServiceImpl implements IBisOccuDiseHazRecService {

    @Autowired
    private BisOccuDiseHazRecMapper bisOccuDiseHazRecMapper;

    /**
     * 查询职业病危害记录信息
     * @param guid 查询条件
     * @return 职业病危害记录信息
     */
    @Override
    public BisOccuDiseHazRec selectBisOccuDiseHazRecByGuid(String guid) {
        return bisOccuDiseHazRecMapper.selectBisOccuDiseHazRecByGuid(guid);
    }

    /**
     * 查询职业病危害记录列表
     * @param bisOccuDiseHazRec 职业病危害记录查询条件
     * @return 职业病危害记录集合
     */
    @Override
    public List<BisOccuDiseHazRec> selectBisOccuDiseHazRecList(BisOccuDiseHazRec bisOccuDiseHazRec) {
        return bisOccuDiseHazRecMapper.selectBisOccuDiseHazRecList(bisOccuDiseHazRec);
    }

    /**
     * 新增职业病危害记录
     * @param bisOccuDiseHazRec 职业病危害记录信息
     * @return 影响行数
     */
    @Override
    public int insertBisOccuDiseHazRec(BisOccuDiseHazRec bisOccuDiseHazRec) {
        return bisOccuDiseHazRecMapper.insertBisOccuDiseHazRec(bisOccuDiseHazRec);
    }

    /**
     * 修改职业病危害记录
     * @param bisOccuDiseHazRec 职业病危害记录信息
     * @return 影响行数
     */
    @Override
    public int updateBisOccuDiseHazRec(BisOccuDiseHazRec bisOccuDiseHazRec) {
        return bisOccuDiseHazRecMapper.updateBisOccuDiseHazRec(bisOccuDiseHazRec);
    }

    /**
     * 删除职业病危害记录
     * @param guid 职业病危害记录主键
     * @return 影响行数
     */
    @Override
    public int deleteBisOccuDiseHazRecByGuid(String guid) {
        return bisOccuDiseHazRecMapper.deleteBisOccuDiseHazRecByGuid(guid);
    }

    /**
     * 批量删除职业病危害记录
     * @param guids 职业病危害记录主键数组
     * @return 影响行数
     */
    @Override
    public int deleteBisOccuDiseHazRecByGuids(String[] guids) {
        return bisOccuDiseHazRecMapper.deleteBisOccuDiseHazRecByGuids(guids);
    }
}
